## mx4j.tools.remote.resolver.burlap.ssl
Class Resolver

    java.lang.Object
      mx4j.remote.ProviderHelper
          mx4j.remote.ConnectionResolver
              mx4j.tools.remote.http.HTTPResolver
                  mx4j.tools.remote.resolver.burlap.Resolver
                      mx4j.tools.remote.resolver.burlap.ssl.Resolver

public class Resolver
extends Resolver

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class mx4j.tools.remote.http.HTTPResolver
`DEFAULT_WEB_CONTAINER_CLASS`

Constructor Summary
`Resolver()`

Method Summary
`protected java.lang.String` `getEndpointProtocol(java.util.Map environment)`
`protected java.lang.String` `getServletClassName()`

Methods inherited from class mx4j.tools.remote.resolver.burlap.Resolver
`lookupClient`

Methods inherited from class mx4j.tools.remote.http.HTTPResolver
`bindClient, bindServer, createServer, createWebContainer, deploy, destroyServer, getEndpoint, unbindServer, undeploy`

Methods inherited from class mx4j.remote.ConnectionResolver
`newConnectionResolver`

Methods inherited from class mx4j.remote.ProviderHelper
`constructClassName, findSystemPackageList, getLogger, loadClass, normalizeProtocol`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resolver

    public Resolver()

Method Detail

### getEndpointProtocol

    protected java.lang.String getEndpointProtocol(java.util.Map environment)

  Overrides:
    `getEndpointProtocol` in class `HTTPResolver`

### getServletClassName

    protected java.lang.String getServletClassName()

  Overrides:
    `getServletClassName` in class `Resolver`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.